System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.Common.DbDataAdapter System.ComponentModel.ToolboxItem("Microsoft.VSDesigner.Data.VS.SqlDataAdapterToolboxItem, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.Designer("Microsoft.VSDesigner.Data.VS.SqlDataAdapterDesigner, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") System.ComponentModel.DefaultEvent("RowUpdated")

The , serves as a bridge between a and SQL Server for retrieving and saving data. The provides this bridge by mapping , which changes the data in the to match the data in the data source, and , which changes the data in the data source to match the data in the , using the appropriate Transact-SQL statements against the data source. The update is performed on a by-row basis. For every inserted, modified, and deleted row, the method determines the type of change that has been performed on it (Insert, Update, or Delete). Depending on the type of change, the Insert, Update, or Delete command template executes to propagate the modified row to the data source. When the fills a , it creates the necessary tables and columns for the returned data if they do not already exist. However, primary key information is not included in the implicitly created schema unless the property is set to . You may also have the create the schema of the , including primary key information, before filling it with data using FillSchema. For more information, see Adding Existing Constraints to a DataSet.

is used in conjunction with and to increase performance when connecting to a SQL Server database.

If you are using SQL Server stored procedures to edit or delete data using a DataAdapter, make sure that you do not use SET NOCOUNT ON in the stored procedure definition. This causes the rows affected count returned to be zero, which the DataAdapter interprets as a concurrency conflict. In this event, a will be thrown.

The also includes the , , , , and properties to facilitate the loading and updating of data.

When an instance of is created, the read/write properties are set to initial values. For a list of these values, see the constructor.

The , , and are generic templates that are automatically filled with individual values from every modified row through the parameters mechanism.

For every column that you propagate to the data source on , a parameter should be added to the InsertCommand, UpdateCommand, or DeleteCommand. The property of the object should be set to the name of the column. This setting indicates that the value of the parameter is not set manually, but is taken from the particular column in the currently processed row.

An will occur if the method is called and the table contains a user-defined type that is not available on the client computer. For more information, see Creating and Using User-Defined Types in SQL Server Books Online.

Represents a set of data commands and a database connection that are used to fill the and update a SQL Server database. This class cannot be inherited.

- Constructor

  When an instance of is created, the following read/write properties are set to the following initial values.

  Properties

  Initial value

  MissingMappingAction.Passthrough

  MissingSchemaAction.Add

  You can change the value of any of these properties through a separate call to the property.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  This implementation of the constructor sets the property to the value specified in the parameter.

  When an instance of is created, the following read/write properties are set to the following initial values.

  Properties

  Initial value

  MissingMappingAction.Passthrough

  MissingSchemaAction.Add

  You can change the value of any of these properties through a separate call to the property.

  When (or any of the other command properties) is assigned to a previously created , the is not cloned. The maintains a reference to the previously created object.

  Initializes a new instance of the class with the specified as the property.

  A that is a Transact-SQL SELECT statement or stored procedure and is set as the property of the .
  1.0.5000.0
  2.0.0.0
- Constructor

  This implementation of the opens and closes a if it is not already open. This can be useful in an application that must call the method for two or more objects. If the is already open, you must explicitly call Close or Dispose to close it.

  When an instance of is created, the following read/write properties are set to the following initial values.

  Properties

  Initial value

  MissingMappingAction.Passthrough

  MissingSchemaAction.Add

  You can change the value of either of these properties through a separate call to the property.

  Initializes a new instance of the class with a and a object.

  A that is a Transact-SQL SELECT statement or stored procedure to be used by the property of the .
  A that represents the connection. If your connection string does not use Integrated Security = true, you can use to pass the user ID and password more securely than by specifying the user ID and password as text in the connection string.
  1.0.5000.0
  2.0.0.0
- Constructor

  This overload of the constructor uses the parameter to set the property. The will create and maintain the connection created with the parameter.

  When an instance of is created, the following read/write properties are set to the following initial values.

  Properties

  Initial value

  MissingMappingAction.Passthrough

  MissingSchemaAction.Add

  You can change the value of any of these properties through a separate call to the property.

  Initializes a new instance of the class with a and a connection string.

  A that is a Transact-SQL SELECT statement or stored procedure to be used by the property of the .
  The connection string. If your connection string does not use Integrated Security = true, you can use and to pass the user ID and password more securely than by specifying the user ID and password as text in the connection string.
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Method
  System.Data.Common.RowUpdatedEventArgs `` `` `` `` To be added: an object of type 'Data.DataRow' To be added: an object of type 'Data.IDbCommand' To be added: an object of type 'Data.StatementType' To be added: an object of type 'Data.Common.DataTableMapping' To be added To be added: an object of type 'Data.Common.RowUpdatedEventArgs' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Data.Common.RowUpdatingEventArgs `` `` `` `` To be added: an object of type 'Data.DataRow' To be added: an object of type 'Data.IDbCommand' To be added: an object of type 'Data.StatementType' To be added: an object of type 'Data.Common.DataTableMapping' To be added To be added: an object of type 'Data.Common.RowUpdatingEventArgs' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Data.SqlClient.SqlCommand To be added: an object of type 'SqlCommand'

  During , if this property is not set and primary key information is present in the , the can be generated automatically if you set the property and use the . Then, any additional commands that you do not set are generated by the . This generation logic requires key column information to be present in the . For more information, see Automatically Generated Commands.

  When is assigned to a previously created , the is not cloned. The maintains a reference to the previously created object.

  For every column that you propagate to the data source on , a parameter should be added to the InsertCommand, UpdateCommand, or DeleteCommand. The SourceColumn property of the parameter should be set to the name of the column. This indicates that the value of the parameter is not set manually, but is taken from the particular column in the currently processed row.

  Gets or sets a Transact-SQL statement or stored procedure to delete records from the data set.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DBCommandEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.DefaultValue(null)
- Method
  1.0.5000.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.IDataParameter `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Property
  System.Data.SqlClient.SqlCommand To be added: an object of type 'SqlCommand'

  During , if this property is not set and primary key information is present in the , the can be generated automatically if you set the property and use the . Then, any additional commands that you do not set are generated by the . This generation logic requires key column information to be present in the . For more information, see Automatically Generated Commands.

  When is assigned to a previously created , the is not cloned. The maintains a reference to the previously created object.

  If execution of this command returns rows, these rows can be added to the depending on how you set the UpdatedRowSource property of the object.

  For every column that you propagate to the data source on , a parameter should be added to InsertCommand, UpdateCommand, or DeleteCommand. The SourceColumn property of the parameter should be set to the name of the column. This indicates that the value of the parameter is not set manually, but is taken from the particular column in the currently processed row.

  Gets or sets a Transact-SQL statement or stored procedure to insert new records into the data source.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DBCommandEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.DefaultValue(null)
- Method
  System.Void `` To be added: an object of type 'Data.Common.RowUpdatedEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'Data.Common.RowUpdatingEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.Data.SqlClient.SqlRowUpdatedEventHandler

  When using , there are two events that occur per data row updated. The order of execution is as follows:

  The values in the are moved to the parameter values.

  The event is raised.

  The command executes.

  If the command is set to FirstReturnedRecord, the first returned result is placed in the .

  If there are output parameters, they are placed in the .

  The event is raised.

  is called.

  Occurs during after a command is executed against the data source. The attempt to update is made, so the event fires.

  1.0.5000.0
  2.0.0.0
- Event
  System.Data.SqlClient.SqlRowUpdatingEventHandler

  When using , there are two events that occur per data row updated. The order of execution is as follows:

  The values in the are moved to the parameter values.

  The event is raised.

  The command executes.

  If the command is set to FirstReturnedRecord, the first returned result is placed in the .

  If there are output parameters, they are placed in the .

  The event is raised.

  is called.

  Occurs during before a command is executed against the data source. The attempt to update is made, so the event fires.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.SqlClient.SqlCommand To be added: an object of type 'SqlCommand'

  When is assigned to a previously created , the is not cloned. The maintains a reference to the previously created object.

  If the does not return any rows, no tables are added to the , and no exception is raised.

  Gets or sets a Transact-SQL statement or stored procedure used to select records in the data source.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DBCommandEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.DefaultValue(null)
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.ITableMappingCollection To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IDbCommand To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IDbCommand To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IDbCommand To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IDbCommand To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Object

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  A new object that is a copy of the current instance.

- Method
  2.0.0.0
  System.Void To be added. To be added.
- Property
  2.0.0.0
  System.Int32 To be added.

  Gets or sets a value that enables or disables batch processing support, and specifies the number of commands that can be executed in a batch.

  Use the property to update a data source with changes from a . This can increase application performance by reducing the number of round-trips to the server.

  Executing an extremely large batch could decrease performance. Therefore, you should test for the optimum batch size setting before implementing your application.

  An is thrown if the value is set to a number less than zero.

  Gets or sets the number of rows that are processed in each round-trip to the server.

- Property
  System.Data.SqlClient.SqlCommand To be added: an object of type 'SqlCommand'

  During , if this property is not set and primary key information is present in the , the can be generated automatically if you set the property and use the . Then, any additional commands that you do not set are generated by the . This generation logic requires key column information to be present in the . For more information, see Automatically Generated Commands.

  When is assigned to a previously created , the is not cloned. The maintains a reference to the previously created object.

  If execution of this command returns rows, the updated rows may be merged with the depending on how you set the UpdatedRowSource property of the object.

  For every column that you propagate to the data source on , a parameter should be added to InsertCommand, UpdateCommand, or DeleteCommand.

  The SourceColumn property of the parameter should be set to the name of the column. This indicates that the value of the parameter is not set manually, but taken from the particular column in the currently processed row.

  Gets or sets a Transact-SQL statement or stored procedure used to update records in the data source.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DBCommandEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.DefaultValue(null)